Bug 186772 - user mouse activity does not restart screensaver activity timer
user mouse activity does not restart screensaver activity timer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
: 186771 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 05:05 EST by David Timms
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-09 17:20:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Timms 2006-03-26 05:05:10 EST
Description of problem:
While reading a web page or a pdf, I use the mouse scroll wheel to move through
the document. The screensaver activates while I'm reading the text.

Version-Release number of selected component (if applicable):


How reproducible:
Yes.

Steps to Reproduce: (quickly)
1. System|Preferences|Screensaver|Set session idle after 1 minute.
2. uncheck lock screen saver when active.
3. open a document (text/web/pdf), and begin reading, scrolling down as you go.
  
Actual results:
While browsing /scrolling through the chosen document, the screensaver kicks in,
by fading out your document, and starting the screensaver.

Expected results:
The mouse buttons activity should restart the inactivity timer, keeping the
screensaver from activating. Also no amount of clicking or scrolling will stop
the fade out or exit the screensaver.

Additional info:
bug 130330  xscreensaver - had same problem and was resolved 2005-05
bug 183668  gnome-screensaver doesn't reset idle timers on user activity after
system comes out of suspend
https://bugs.freedesktop.org/show_bug.cgi?id=1419  resurrect the "XIdle" extension
Comment 1 Frank Arnold 2006-03-27 00:15:28 EST
*** Bug 186771 has been marked as a duplicate of this bug. ***
Comment 2 Frank Arnold 2006-03-27 00:17:55 EST
Upstream bug about this: http://bugzilla.gnome.org/show_bug.cgi?id=335831
Comment 3 Puneet Batura 2006-04-09 14:41:12 EDT
I too have the same issue!
Comment 4 Ray Strode [halfline] 2006-04-09 17:20:57 EDT
Hi guys,

This issue should be fixed in the latest fc5 updates of gnome-screensaver.
Comment 5 David Timms 2006-04-18 07:53:10 EDT
Both gnome-screensaver-2.14.0-1.fc5.1
and  gnome-screensaver-2.14.1-1.fc5.1 solve the issue where clicking or wheeling
before the screensaver starts restarts the inactivity counting.
Both also solve the issue where click/wheel are ignored during the fade to black. 

However, the final issue of having click/wheel exit a screensaver once it
actually running is not solved (at least for floaters, the big clue squares, and
the space images). Would you like a new bug for that case ? Or reopen ?
Comment 6 Ray Strode [halfline] 2006-04-18 11:16:45 EDT
Hi David,

Yea, could you file a new bug and mention it in a comment in this bug?
Comment 7 David Timms 2006-04-19 05:55:34 EDT
The thirs case of the mouse events not exiting screensaver is filed under bug
189335.

Note You need to log in before you can comment on or make changes to this bug.